Skip to content

Update images for listing (V2)

POST
/api/v2/listing/images

Submits images for background processing and returns a 202 Accepted.

Vehicle stock number and branch, and array of image URLs

Request body for updating listing images. Includes listing identification details and array of image URLs

object
stockNumber
required

Unique stock number. Used to identify vehicle listing for update.

string
Example
C2026
branch

Branch identifier. If omitted the primary dealership is used.

string
Example
Porirua
imageUrls
required

Array of image URLs to replace on listing

Array<string>
Example
[
"https://example.com/car/1.jpg",
"https://example.com/car/2.jpg",
"https://example.com/car/3.jpg"
]
Example
{
"stockNumber": "C2026",
"branch": "Porirua",
"imageUrls": [
"https://example.com/car/1.jpg",
"https://example.com/car/2.jpg",
"https://example.com/car/3.jpg"
]
}

Request accepted for processing

Response containing the transaction tracking ID

object
transactionId

The ID of the transaction that was submitted for processing

string format: uuid
Example
3fa85f64-5717-4562-b3fc-2c963f66afa6

Validation error